<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Company List</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-QWTKZyjpPEjISv5WaRU9OFeRpok6YctnYmDr5pNlyT2bRjXh0JMhjY6hW+ALEwIH" crossorigin="anonymous">
    <style>
        nav w-5{display:none;}
    </style>
</head>
<body>
    <div class="container">
        <h1>Company List</h1>
        <a href="{{ route('addCompany')}}" class="btn btn-primary btn-sm my-1">Add Company</a>
        <div class="row">
            <div class="com-sm-3">
                <table class="table table-bordered table-striped">
                    
                        <thead>
                            <tr>
                                <th>Sr. No.</th>
                                <th>Id</th>
                                <th>Name</th>
                                <th>Email</th>
                                <th>Age</th>
                                <th>City</th>
                                <th>A/c. Bal</th>
                                <th>View</th>
                                <th>Update</th>
                                <th>Delete</th>
                            </tr>
                        </thead>
                        <tbody>
            @php
                $i = 0;
            @endphp                

            @foreach ($data as $datak => $datav)
                @php
                    $i++;
                @endphp
                <tr>
                    <td>{{$i}} </td>
                    <td>{{$datav->id}} </td>
                    <td>{{$datav->company_name}} </td>
                    <td>{{ $datav->email}}</td>
                    <td>{{ $datav->age}}</td>
                    <td>{{ $datav->city}}</td>
                    <td>{{ $datav->acc_bal}}</td>
                    <td> <a href="{{ route('companyDetails', $datav->id)}}" class="btn btn-primary btn-sm">View</a> </td>
                    <td> <a href="{{ route('updateComp', $datav->id)}}" class="btn btn-primary btn-sm">Update</a> </td>
                    <td> <a href="{{ route('deleteCompany', $datav->id)}}" class="btn btn-danger btn-sm">Delete</a> </td>
                </tr>
            @endforeach
        </tbody>
        </table>
    </div>
    {{ $data->links('pagination::bootstrap-5')}}
    {{---{{ $data->links()}}-----}}
        </div>
        <h6> Total Records: {{ $data->total()}}</h6>
        <h6> Current Page: {{ $data->currentPage()}}</h6>
       
    </div>

    





</body>
</html>

