<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\CompanyController;
use App\Http\Controllers\ProductController;
use App\Http\Controllers\UwWhnchnkController;

    Route::get('/', [UwWhnchnkController::class, 'uniondata'])->name('home');
    Route::get('/whenList', [UwWhnchnkController::class, 'whendata'])->name('whenData');

    Route::get('/productList', [ProductController::class, 'prodList'])->name('home');

    Route::controller(CompanyController::class)->group(function(){
        
    
    Route::get('/companyList', 'showCompany')->name("home");
    Route::get('/company/{id}', 'singleCompany')->name('companyDetails');
    Route::post('/addnewCompany', 'addCompany')->name('addnewCompany');

    Route::put('/updateCompany/{id}', 'updateCompany')->name('updateCompany');
    Route::get('/updateComp/{id}', "updateComp")->name('updateComp');   //  For Getting Updated ID Details

    Route::get('/deleteCompany/{id}', 'deleteCompany')->name('deleteCompany');
    Route::get('/deleteAllCompany', 'deleteAllCompany')->name('deleteAllCompany');

});
//Route::get('/deleteAllCompany', [CompanyController::class, 'deleteAllCompany'])->name('deleteAllCompany');



Route::view('/addCompany', '/addCompany')->name('addCompany');



