<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Company List</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-QWTKZyjpPEjISv5WaRU9OFeRpok6YctnYmDr5pNlyT2bRjXh0JMhjY6hW+ALEwIH" crossorigin="anonymous">
    <style>
        nav w-5{display:none;}
    </style>
</head>
<body>
    <div class="container">
        <h1>Company List</h1>
        <a href="<?php echo e(route('addCompany')); ?>" class="btn btn-primary btn-sm my-1">Add Company</a>
        <div class="row">
            <div class="com-sm-3">
                <table class="table table-bordered table-striped">
                    
                        <thead>
                            <tr>
                                <th>Sr. No.</th>
                                <th>Id</th>
                                <th>Name</th>
                                <th>Email</th>
                                <th>Age</th>
                                <th>City</th>
                                <th>A/c. Bal</th>
                                <th>View</th>
                                <th>Update</th>
                                <th>Delete</th>
                            </tr>
                        </thead>
                        <tbody>
            <?php
                $i = 0;
            ?>                

            <?php $__currentLoopData = $data; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $datak => $datav): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <?php
                    $i++;
                ?>
                <tr>
                    <td><?php echo e($i); ?> </td>
                    <td><?php echo e($datav->id); ?> </td>
                    <td><?php echo e($datav->company_name); ?> </td>
                    <td><?php echo e($datav->email); ?></td>
                    <td><?php echo e($datav->age); ?></td>
                    <td><?php echo e($datav->city); ?></td>
                    <td><?php echo e($datav->acc_bal); ?></td>
                    <td> <a href="<?php echo e(route('companyDetails', $datav->id)); ?>" class="btn btn-primary btn-sm">View</a> </td>
                    <td> <a href="<?php echo e(route('updateComp', $datav->id)); ?>" class="btn btn-primary btn-sm">Update</a> </td>
                    <td> <a href="<?php echo e(route('deleteCompany', $datav->id)); ?>" class="btn btn-danger btn-sm">Delete</a> </td>
                </tr>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </tbody>
        </table>
    </div>
    <?php echo e($data->links('pagination::bootstrap-5')); ?>

    
        </div>
        <h6> Total Records: <?php echo e($data->total()); ?></h6>
        <h6> Current Page: <?php echo e($data->currentPage()); ?></h6>
       
    </div>

    





</body>
</html>

<?php /**PATH D:\laravel\gwns\resources\views/companyList.blade.php ENDPATH**/ ?>