<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;


class CompanyController extends Controller
{
    //
    public function showProdList(){
        $products= DB::table('products')
                    //->select("companies.*","products.prod_name")
                    //->join('products', 'companies.id', '=', 'products.comp_id')
                    //->get();
                    ->paginate(3);
            //return $company;
            return view('productList', ["data"=>$products]);  // Return JSON

    }

    public function showCompany()
    {
        $company= DB::table('companies')
                    //->select("companies.*","products.prod_name")
                    //->join('products', 'companies.id', '=', 'products.comp_id')
                    //->get();
                    ->paginate(3);
            //return $company;
            return view('companyList', ["data"=>$company]);  // Return JSON
        }

    
    public function showCompany12345()
    {
        $company = DB::table('companies')
        ->paginate(3,['*'], 'pg')->fragment('companies');
        //->paginate(3,['*'], 'pg')->appends(["sort"=>"companyid", "age"=>"%S"]);
        //->paginate(3,['*'], 'pg',2);
        //->paginate(3,['company_name','email']);
        //->simplePaginate(3);
        //->orderBy("company_name")->cursorPaginate(3);
        
            return view('companyList', ["data"=>$company]);  // Return JSON
        }

    public function singleCompany( string $id){
        
        // Find Method
        //$company = DB::table('companies')->find($id);
        $company = DB::table('companies')->where('id', $id)->get();
        return view('companyDetails', ['data'=>$company]);
        //return $company;

        
    }

    public function addCompany(Request $req){
        //return $req;
        $company = DB::table('companies')
            ->insert([
                [
                    "company_name"=>$req->name,
                    "email"=>$req->email,
                    "age"=>$req->age,
                    "city"=>$req->city,
                    "acc_bal"=>$req->acbal,
                ]
                
            ]); 
                          // for This method id Column will Exit else Not Work
        if($company){
            return redirect()->route('home');
        }         
            
        //return $company;                    
                        
    }

    public function updateCompany(Request $req, $id){
        $sel = DB::table("companies")
                        ->where("email",$req->email)
                        ->where("id",$id)
                        ->get();
        //dd($sel);                
        //return $sel;                
        $company = DB::table("companies")
                        ->where('id',$id)
                        ->update([  
                            "company_name"=>$req->name,
                            "email"=>$req->email,
                            "age"=>$req->age,
                            "city"=>$req->city,
                            "acc_bal"=>$req->acbal
                            ]);  
        if($company){
            echo "<h3>Company Updated Successfully</h3>";
            return redirect()->route('home');
             
        }
        else{
            echo "<h3>Company Not Updated Successfully</h3>";
        }                    
    }
    public function updateComp(string $id){
        //$company = DB::table("companies")->where("id",$id)->get();   // return Json
        $company = DB::table("companies")->find($id);               // return Array
        
        return view('updateCompany', ['data'=>$company]);
        //return $company;
        
    }


    public function deleteCompany(string $id){
        $company = DB::table("companies")
                            ->where("id",$id)
                            ->delete();
        if($company){
            return redirect()->route('home');
        }                    
    }

    public function deleteAllCompany(){
        $company = DB::table("companies")
                            ->truncate();
        if($company){
            return redirect()->route('home');
        }                    
    }



}
