<?php

namespace Database\Seeders;

use Illuminate\Database\Console\Seeds\WithoutModelEvents;
use Illuminate\Database\Seeder;
use App\Models\Product;
use Illuminate\Support\Facades\File;

class ProductSeeder extends Seeder
{
    /**
     * Run the database seeds.
     */
    public function run(): void
    {
        //
        //For 1000 of Data Via JSOn File
        $json = File::get(path:'database/json/product.json');
        $products = collect(json_decode($json));
        $products->each(function($product){
            product::create([
                "comp_id" => $product->comp_id,
                "prod_name" => $product->prod_name,
                "status" => $product->status
            
            ]);

        });
    }
}
