<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Update Company Details</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/css/bootstrap.min.css" rel="stylesheet">
    
</head>
<body>
    <div class="container">
        <h3 class="text-center mt-2">Update Company</h3>
        <div class="row">
            <div class="col-sm-6 mx-auto">
                
                
                <form action="<?php echo e(route('updateCompany', $data->id)); ?>" method="post">
                    <?php echo csrf_field(); ?>
                    <?php echo method_field("PUT"); ?>                       
                    <div class="my-1"> 
                        <label for="text" class="form-label fw-bold">Company Name:</label>
                        <input type="text" name="name" class="form-control" id="name" value="<?php echo e($data->company_name); ?>" placeholder="Enter Company Name" >
                      </div>
                      <div class="my-1">
                        <label for="email" class="form-label fw-bold">Email:</label>
                        <input type="email"  name="email" class="form-control" id="email" value="<?php echo e($data->email); ?>" placeholder="Enter Email">
                      </div>
                      <div class="my-1">
                        <label for="age" class="form-label fw-bold">Age:</label>
                        <input type="number"  name="age" class="form-control" id="age" value="<?php echo e($data->age); ?>" placeholder="Enter Age in Year">
                      </div>
                      <div class="my-1">
                        <label for="city" class="form-label fw-bold">City:</label>
                        <select name="city" id="cty" class="form-control">
                             
                            <option value="">Select City</option>
                            <option value="Mumbai">Mumbai</option>
                            <option value="Goa">Goa</option>
                            <option value="kolkata">kolkata</option>
                            <option value="Delhi">Delhi</option>
                            <option value="Chennai">Chennai</option>
                            <option value="Lucknow">Lucknow</option>
                            <option value="Allahabad">Allahabad</option>
                            <option value="Varansi">Varansi</option>

                        </select>
                        </div>
                      <div class="my-1">
                        <label for="acbal" class="form-label fw-bold">Account Bal:</label>
                        <input type="text" name="acbal" class="form-control" id="acbal" value="<?php echo e($data->acc_bal); ?>" placeholder="Enter Amount">
                      </div>
                      
                      <button type="submit" class="btn btn-primary">update</button>
                </form>
             </div>
        </div>
    </div>
</body>
</html><?php /**PATH D:\laravel\gwns\resources\views/updateCompany.blade.php ENDPATH**/ ?>